git-credential-1password
========================

[![Version](https://img.shields.io/npm/v/git-credential-1password.svg)](https://npmjs.org/package/git-credential-1password)
[![Downloads/week](https://img.shields.io/npm/dw/git-credential-1password.svg)](https://npmjs.org/package/git-credential-1password)
[![License](https://img.shields.io/npm/l/git-credential-1password.svg)](https://github.com/stakagi/git-credential-1password/blob/master/package.json)


# 事前準備

* 1Password CLIのインストール https://developer.1password.com/docs/cli/get-started#install
* 1Passwordに下記設定を追加
 * タイトル: Gitリポジトリのホスト名(GitHubの場合は'github.com')
 * gc1p_username: ログインユーザ名
 * gc1p_password: ログインパスワード（GitHubの場合はパーソナルアクセストークンをセットする）

# 使い方

```sh-session
$ yarn global add git-credential-1password
$ git config --global credential.helper 1password
$ git clone <repository>
```
